Bug 1024026 - rhythmbox: crash if run right after package installation
rhythmbox: crash if run right after package installation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhythmbox (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 11:34 EDT by Florian Weimer
Modified: 2014-06-09 07:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 23:52:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-28 11:34:49 EDT
rhythmbox aborts with an error message, "Settings schema 'org.gnome.rhythmbox' is not installed".  Rebooting the machine and trying again fixes things.  I suspect logging out and in again would help, too, but I couldn't do that because there's only a single user on the machine, so there wasn't a logout option in the menu.

This happened with rhythmbox-2.99.1-1.el7.x86_64.

Backtrace from the coredump:

#0  g_logv (log_domain=0x36454e8cb8 "GLib-GIO", log_level=G_LOG_LEVEL_ERROR, 
    format=<optimized out>, args=args@entry=0x7fff3aeb73a8) at gmessages.c:981
#1  0x0000003cca24eff2 in g_log (log_domain=log_domain@entry=0x36454e8cb8 "GLib-GIO", 
    log_level=log_level@entry=G_LOG_LEVEL_ERROR, 
    format=format@entry=0x3645503ea0 "Settings schema '%s' is not installed\n")
    at gmessages.c:1010
#2  0x00000036454a6bb7 in g_settings_set_property (object=0x17d6000, prop_id=<optimized out>, 
    value=<optimized out>, pspec=<optimized out>) at gsettings.c:492
#3  0x0000003ccb2146e2 in object_set_property (nqueue=0x1831350, value=0x18853b8, 
    pspec=0x1793b50, object=0x17d6000) at gobject.c:1358
#4  g_object_constructor (type=<optimized out>, n_construct_properties=<optimized out>, 
    construct_params=0x1889010) at gobject.c:1869
#5  0x0000003ccb215b19 in g_object_newv (object_type=object_type@entry=25535808, 
    n_parameters=n_parameters@entry=1, parameters=parameters@entry=0x18853b0) at gobject.c:1719
#6  0x0000003ccb2162e6 in g_object_new_valist (object_type=object_type@entry=25535808, 
    first_property_name=first_property_name@entry=0x36455048db "schema-id", 
    var_args=var_args@entry=0x7fff3aeb7698) at gobject.c:1836
#7  0x0000003ccb216654 in g_object_new (object_type=25535808, 
    first_property_name=first_property_name@entry=0x36455048db "schema-id") at gobject.c:1551
#8  0x00000036454a7ae5 in g_settings_new (
    schema_id=schema_id@entry=0x7fe1f988385c "org.gnome.rhythmbox") at gsettings.c:869
#9  0x00007fe1f97e937c in rb_shell_constructed (object=<optimized out>) at rb-shell.c:1629
#10 0x0000003ccb215f95 in g_object_newv (object_type=object_type@entry=23177008, 
    n_parameters=n_parameters@entry=8, parameters=parameters@entry=0x185da00) at gobject.c:1747
#11 0x0000003ccb2162e6 in g_object_new_valist (object_type=object_type@entry=23177008, 
    first_property_name=first_property_name@entry=0x7fe1f987fd1b "application", 
    var_args=var_args@entry=0x7fff3aeb7968) at gobject.c:1836
#12 0x0000003ccb216654 in g_object_new (object_type=23177008, 
    first_property_name=first_property_name@entry=0x7fe1f987fd1b "application") at gobject.c:1551
#13 0x00007fe1f97da750 in impl_startup (app=<optimized out>) at rb-application.c:379
#14 0x0000003ccb20fc57 in _g_closure_invoke_va (closure=closure@entry=0x16181f0, 
    return_value=return_value@entry=0x0, instance=instance@entry=0x161b000, 
    args=args@entry=0x7fff3aeb7eb8, n_params=0, param_types=0x0) at gclosure.c:840
#15 0x0000003ccb227d87 in g_signal_emit_valist (instance=0x161b000, signal_id=<optimized out>, 
    detail=0, var_args=var_args@entry=0x7fff3aeb7eb8) at gsignal.c:3234
#16 0x0000003ccb228a72 in g_signal_emit (instance=instance@entry=0x161b000, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3384
#17 0x000000364549608a in g_application_register (application=application@entry=0x161b000, 
    cancellable=cancellable@entry=0x0, error=error@entry=0x7fff3aeb7fd8) at gapplication.c:1318
#18 0x00007fe1f97da81f in impl_local_command_line (app=0x161b000, args=0x7fff3aeb8030, 
    exit_status=0x7fff3aeb802c) at rb-application.c:413
#19 0x000000364549668c in g_application_run (application=0x161b000, argc=argc@entry=1, 
    argv=argv@entry=0x7fff3aeb8378) at gapplication.c:1573
#20 0x00007fe1f97d9e62 in rb_application_run (rb=0x161b000, argc=argc@entry=1, 
    argv=argv@entry=0x7fff3aeb8378) at rb-application.c:637
#21 0x0000000000400f92 in main (argc=1, argv=0x7fff3aeb8378) at main.c:95
Comment 2 Bastien Nocera 2013-10-29 10:06:40 EDT
Right after package installation meaning? What's the system that you were installing this on?

rhythmbox' posttrans scriptlets launches:

posttrans scriptlet (using /bin/sh):
gtk-update-icon-cache /usr/share/icons/hicolor >&/dev/null || :
glib-compile-schemas /usr/share/glib-2.0/schemas >&/dev/null || :

The last line is the one that's supposed to register the new schemas. When you've reproduced the problem, what's the output of "glib-compile-schemas /usr/share/glib-2.0/schemas" ? Was glib2 one of the packages that got installed at the same time as rhythmbox? Was your $PATH modified from the default?

If you can reproduce the problem at will but the diagnostics commands above don't show anything untoward, I'll do a scratch build with the error redirections removed, so we can see what the problem actually is at install time.
Comment 3 Matthias Clasen 2014-02-20 23:52:54 EST
needinfo wasn't answered, too late for 7.0 now

Note You need to log in before you can comment on or make changes to this bug.